#ifndef MYCVFRAMEPROCHAAR_H
#define MYCVFRAMEPROCHAAR_H

// Debug
#define DEBUG_DIGIT

#include "opencv2/core/core.hpp"
#include "opencv2/highgui/highgui.hpp"
#include "opencv2/imgproc/imgproc.hpp"
#include "opencv2/features2d/features2d.hpp"
#include "opencv2/objdetect/objdetect.hpp"

using namespace std;
using namespace cv;

class mycvFrameLocHaar
{
private:
    CascadeClassifier mCascade;
    bool mbCLoaded;
public:
    mycvFrameLocHaar();
    ~mycvFrameLocHaar();

    void loadXML(string aStr);
    void detectFrame(const Mat &aSrc, vector<Rect> &aFrame);
};

#endif // MYCVFRAMEPROCHAAR_H
